Skip to main content
POST
/
api
/
projects
/
generate
Generate Ideas
curl --request POST \
  --url https://api.example.com/api/projects/generate
{
  "projects": [
    {
      "complexity": "beginner",
      "description": "<string>",
      "estimated_hours": 2,
      "problem_statement": "<string>",
      "skills_demonstrated": [
        "<string>"
      ],
      "target_roles": [
        "<string>"
      ],
      "tech_stack": [
        "<string>"
      ],
      "title": "<string>",
      "why_impressive": "<string>"
    }
  ],
  "model_name": "<string>"
}

Query Parameters

mode
enum<string>
default:writing
Available options:
writing,
technical
depth
enum<string>
default:medium
Available options:
medium,
high,
x_high

Response

Successful Response

Response from project idea generation.

projects
ProjectIdea · object[]
required
model_name
string | null